#!/bin/bash

check() {
    # a live host-only image doesn't really make a lot of sense
    [[ $hostonly ]] && return 1
    return 255
}

depends() {
    return 0
}

installkernel() {
    instmods squashfs loop overlay
}

install() {
    inst_multiple blkid clear eject grep losetup umount
    inst_multiple addpart delpart partx

    inst_hook cmdline 30 "$moddir/mgalive-parse.sh"
    inst_hook pre-udev 30 "$moddir/mgalive-genrules.sh"
    inst_hook pre-shutdown 99 "$moddir/mgalive-quit-plymouth.sh"
    inst_hook shutdown 99 "$moddir/mgalive-shutdown.sh"
    inst "$moddir/mgalive-root.sh" "/sbin/mgalive-root"
    # should probably just be generally included
    inst_rules 60-cdrom_id.rules
}
